Freeciv-3.3: mpgui Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Private Slots | Private Attributes
mpgui Class Reference

`#include <mpgui_qt.h>`

Inheritance diagram for mpgui:

## Public Slots

void | display_msg (QString msg)
void | progress (int downloaded, int max)
void | refresh_list_versions ()

## Signals

void | display_msg_thr_signal (QString msg)
void | progress_thr_signal (int downloaded, int max)
void | refresh_list_versions_thr_signal ()

## Public Member Functions

void | setup (QWidget *central, struct fcmp_params *fcmp)
void | display_msg_thr (const char *msg)
void | progress_thr (int downloaded, int max)
void | setup_list (const char *name, const char *URL, const char *version, const char *license, enum modpack_type type, const char *subtype, const char *notes)
void | refresh_list_versions_thr ()

## Private Slots

void | URL_given ()
void | row_selected (int, int)
void | row_download (const QModelIndex &)

## Private Attributes

QLineEdit * | URLedit
QLabel * | msg_dspl
QProgressBar * | bar
QTableWidget * | mplist_table

## Detailed Description

Definition at line 49 of file mpgui_qt.h.

## Member Function Documentation

## ◆ display_msg

void mpgui::display_msg | ( | QString | msg | ) |

slot

Display status message

Definition at line 283 of file mpgui_qt.cpp.

Referenced by gui_download_modpack(), main(), msg_callback(), and setup().

## ◆ display_msg_thr()

void mpgui::display_msg_thr | ( | const char * | msg | ) |

Display status message from another thread

Definition at line 294 of file mpgui_qt.cpp.

Referenced by msg_callback_thr().

## ◆ display_msg_thr_signal

void mpgui::display_msg_thr_signal | ( | QString | msg | ) |

signal

Referenced by display_msg_thr(), and setup().

## ◆ progress

void mpgui::progress | ( | int | downloaded,
|  | int | max
| ) |  |

slot

Update progress bar

Definition at line 302 of file mpgui_qt.cpp.

Referenced by setup().

## ◆ progress_thr()

void mpgui::progress_thr | ( | int | downloaded,
|  | int | max
| ) |  |

Update progress bar from another thread

Definition at line 311 of file mpgui_qt.cpp.

Referenced by progress_callback_thr().

## ◆ progress_thr_signal

void mpgui::progress_thr_signal | ( | int | downloaded,
|  | int | max
| ) |  |

signal

Referenced by progress_thr(), and setup().

## ◆ refresh_list_versions

void mpgui::refresh_list_versions | ( |  | ) |

slot

Refresh display of modpack list modpack versions

Definition at line 344 of file mpgui_qt.cpp.

Referenced by setup().

## ◆ refresh_list_versions_thr()

void mpgui::refresh_list_versions_thr | ( |  | ) |

Refresh display of modpack list modpack versions from another thread

Definition at line 372 of file mpgui_qt.cpp.

Referenced by mpqt_worker::run().

## ◆ refresh_list_versions_thr_signal

void mpgui::refresh_list_versions_thr_signal | ( |  | ) |

signal

Referenced by refresh_list_versions_thr(), and setup().

## ◆ row_download

void mpgui::row_download | ( | const QModelIndex & | index | ) |

privateslot

User activated another table row

Definition at line 468 of file mpgui_qt.cpp.

Referenced by setup().

## ◆ row_selected

void mpgui::row_selected | ( | int | row,
|  | int | column
| ) |  |

privateslot

User activated another table row

Definition at line 458 of file mpgui_qt.cpp.

Referenced by setup().

## ◆ setup()

void mpgui::setup | ( | QWidget * | central,
|  | struct fcmp_params * | params
| ) |  |

Setup GUI object

Definition at line 191 of file mpgui_qt.cpp.

Referenced by main().

## ◆ setup_list()

void mpgui::setup_list | ( | const char * | name,
|  | const char * | URL,
|  | const char * | version,
|  | const char * | license,
|  | enum modpack_type | type,
|  | const char * | subtype,
|  | const char * | notes
| ) |  |

Build main modpack list view

Definition at line 380 of file mpgui_qt.cpp.

Referenced by setup_modpack_list().

## ◆ URL_given

void mpgui::URL_given | ( |  | ) |

privateslot

User entered URL

Definition at line 336 of file mpgui_qt.cpp.

Referenced by row_download(), and setup().

## Field Documentation

## ◆ bar

QProgressBar* mpgui::bar

private

Definition at line 81 of file mpgui_qt.h.

Referenced by progress(), and setup().

## ◆ mplist_table

QTableWidget* mpgui::mplist_table

private

Definition at line 82 of file mpgui_qt.h.

Referenced by refresh_list_versions(), row_download(), row_selected(), setup(), and setup_list().

## ◆ msg_dspl

QLabel* mpgui::msg_dspl

private

Definition at line 80 of file mpgui_qt.h.

Referenced by display_msg(), and setup().

## ◆ URLedit

QLineEdit* mpgui::URLedit

private

Definition at line 79 of file mpgui_qt.h.

Referenced by row_download(), row_selected(), setup(), and URL_given().